summaryrefslogtreecommitdiffstats
path: root/mga-hdlists-updates
diff options
context:
space:
mode:
authorColin Guthrie <colin@mageia.org>2014-07-28 23:23:06 +0100
committerColin Guthrie <colin@mageia.org>2014-07-29 01:42:38 +0100
commit29a5fca67c79bb7bfc7e7b3002d1be4eee607203 (patch)
tree8eb639703b8bc1c6e405800f7849171038d21f0e /mga-hdlists-updates
parent5acc38d8ff13f871d5b6de3a80a05bf349f1aee8 (diff)
downloadmgatools-29a5fca67c79bb7bfc7e7b3002d1be4eee607203.tar
mgatools-29a5fca67c79bb7bfc7e7b3002d1be4eee607203.tar.gz
mgatools-29a5fca67c79bb7bfc7e7b3002d1be4eee607203.tar.bz2
mgatools-29a5fca67c79bb7bfc7e7b3002d1be4eee607203.tar.xz
mgatools-29a5fca67c79bb7bfc7e7b3002d1be4eee607203.zip
Add some utility scripts to update hdlists.
These are the same scripts that were present on the live server and have thus proven useful. That said, common code has been factored out and centralised and the syntax has been neatened up.
Diffstat (limited to 'mga-hdlists-updates')
-rwxr-xr-xmga-hdlists-updates23
1 files changed, 23 insertions, 0 deletions
diff --git a/mga-hdlists-updates b/mga-hdlists-updates
new file mode 100755
index 0000000..66f3e7e
--- /dev/null
+++ b/mga-hdlists-updates
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -e
+
+. /usr/share/mgatools/functions
+
+if [ "$1" = "--dry-run" ]; then
+ dryrun=echo
+ shift
+fi
+
+if [ $# != 2 ]; then
+ echo "Usage: $0 [--dry-run] <release> <section>" >&2
+ exit 1
+fi
+
+release="$1"
+section="$2"
+
+update_distro_hdlist "$release" "$section" "updates_testing"
+update_distro_hdlist "$release" "$section" "updates"
+update_common_MD5SUM "$release"
+mirror_repository "$release"